﻿Imports System.Data.SqlClient
Imports System.Data

Partial Class ApplicationDetails
    Inherits System.Web.UI.Page

    Dim HTxTAppPrice As New TextBox
    Dim HTxTAppViews As New TextBox
    Dim HTxTAppDownloadURL As New TextBox
    Dim HTxTAppDownloads As New TextBox

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load


        If String.IsNullOrEmpty(Request.QueryString("AppID")) Then
            Response.Redirect("ListAllApplications.aspx")
        End If


        If DataList1.Items.Count = 0 Then
            LbmsgNoComments.Visible = True
        Else
            LbmsgNoComments.Visible = False
        End If


        GetDetails()
    End Sub


    Public Sub GetDetails()
        If Not String.IsNullOrEmpty(Request.QueryString("AppID")) Then

            Dim conn As New SqlConnection()
            conn.ConnectionString = ConfigurationManager.ConnectionStrings("ConnSAhmadAdelMousa").ConnectionString

            Dim sql As String = "SELECT * FROM TableApps WHERE AppID = @AppID"

            conn.Open()
            Dim dt As DataTable = New DataTable()
            Dim adp As Data.SqlClient.SqlDataAdapter = New Data.SqlClient.SqlDataAdapter(sql, conn)
            adp.SelectCommand.Parameters.AddWithValue("AppID", Request.QueryString("AppID"))
            adp.Fill(dt)
            conn.Close()

            If dt.Rows.Count > 0 Then
                HTxTAppPrice.Text = dt.Rows(0)("AppPrice").ToString()
                HTxTAppViews.Text = dt.Rows(0)("AppViews").ToString()
                HTxTAppDownloadURL.Text = dt.Rows(0)("AppDownloadURL").ToString()
                HTxTAppDownloads.Text = dt.Rows(0)("AppDownloads").ToString()
                LViews.Text = dt.Rows(0)("AppViews").ToString()
                LDownloads.Text = dt.Rows(0)("AppDownloads").ToString()

                If HTxTAppPrice.Text = "Free" Or HTxTAppPrice.Text = "" Then
                    BDownload.Text = "Dwonload Free"
                    Session("DW") = HTxTAppDownloadURL.Text.ToString
                Else
                    BDownload.Text = HTxTAppPrice.Text.ToString
                    Session("DW") = "../PaymentPage.aspx"
                End If



                GetRating()
                GetComments()

            Else
                Me.Title = "Error..!"
            End If
        Else
            Me.Title = "Error..!"
        End If
    End Sub


    


    

    Public Sub UpdateDownload()
        If Not String.IsNullOrEmpty(Request.QueryString("AppID")) Then

            Dim conn As New SqlConnection()
            conn.ConnectionString = ConfigurationManager.ConnectionStrings("ConnSAhmadAdelMousa").ConnectionString
            Dim sql As String = "Update TableApps set AppDownloads =@AppDownloads where AppID=@AppID"
            conn.Open()
            Dim cmd As SqlCommand = New SqlCommand(sql, conn)
            cmd.Parameters.AddWithValue("AppID", Request.QueryString("AppID"))
            cmd.Parameters.AddWithValue("AppDownloads", Val(HTxTAppDownloads.Text) + 1)
            cmd.ExecuteScalar()
            conn.Close()

        Else
            Me.Title = "Error..!"
        End If
    End Sub

    Public Sub GetRating()
        If Not String.IsNullOrEmpty(Request.QueryString("AppID")) Then

            Dim GV As New GridView

            Dim conn As New SqlConnection()
            conn.ConnectionString = ConfigurationManager.ConnectionStrings("ConnSAhmadAdelMousa").ConnectionString

            Dim sql As String = "SELECT * FROM TableRating WHERE RatingAppID = @RatingAppID"

            conn.Open()
            Dim dt As DataTable = New DataTable()
            Dim adp As Data.SqlClient.SqlDataAdapter = New Data.SqlClient.SqlDataAdapter(sql, conn)
            adp.SelectCommand.Parameters.AddWithValue("RatingAppID", Request.QueryString("AppID"))
            adp.Fill(dt)
            conn.Close()

            GV.DataSource = dt
            GV.DataBind()

            Dim ToT As Integer = GV.Rows.Count
            LUsersRating.Text = ToT

        Else
            Me.Title = "Error..!"
        End If
    End Sub

    Public Sub GetComments()
        If Not String.IsNullOrEmpty(Request.QueryString("AppID")) Then

            Dim GV As New GridView

            Dim conn As New SqlConnection()
            conn.ConnectionString = ConfigurationManager.ConnectionStrings("ConnSAhmadAdelMousa").ConnectionString

            Dim sql As String = "SELECT * FROM TableComments WHERE AppID = @AppID"

            conn.Open()
            Dim dt As DataTable = New DataTable()
            Dim adp As Data.SqlClient.SqlDataAdapter = New Data.SqlClient.SqlDataAdapter(sql, conn)
            adp.SelectCommand.Parameters.AddWithValue("AppID", Request.QueryString("AppID"))
            adp.Fill(dt)
            conn.Close()

            GV.DataSource = dt
            GV.DataBind()

            Dim ToT As Integer = GV.Rows.Count
            Lcomments.Text = ToT

        Else
            Me.Title = "Error..!"
        End If
    End Sub


    Protected Sub Page_LoadComplete(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.LoadComplete

        GetRatingValu()
    End Sub



    Public Sub GetRatingValu()

      

        If Not String.IsNullOrEmpty(Request.QueryString("AppID")) Then

            Dim GV As New GridView
            Dim sql As String
            Dim conn As New SqlConnection()
            conn.ConnectionString = ConfigurationManager.ConnectionStrings("ConnSAhmadAdelMousa").ConnectionString
            sql = "SELECT * FROM TableRating WHERE RatingAppID = @RatingAppID AND RatingValue = @RatingValue"

            conn.Open()
            Dim dt As DataTable = New DataTable()
            Dim adp As Data.SqlClient.SqlDataAdapter = New Data.SqlClient.SqlDataAdapter(sql, conn)
            




            adp.SelectCommand.Parameters.AddWithValue("RatingValue", 1)
            adp.SelectCommand.Parameters.AddWithValue("RatingAppID", Request.QueryString("AppID"))
            adp.Fill(dt)
            GV.DataSource = dt
            GV.DataBind()
            L1.Text = GV.Rows.Count

            adp.SelectCommand.Parameters.Clear()
            dt.Clear()

            adp.SelectCommand.Parameters.AddWithValue("RatingValue", 2)
            adp.SelectCommand.Parameters.AddWithValue("RatingAppID", Request.QueryString("AppID"))
            adp.Fill(dt)
            GV.DataSource = dt
            GV.DataBind()
            L2.Text = GV.Rows.Count

            adp.SelectCommand.Parameters.Clear()
            dt.Clear()
            adp.SelectCommand.Parameters.AddWithValue("RatingValue", 3)
            adp.SelectCommand.Parameters.AddWithValue("RatingAppID", Request.QueryString("AppID"))
            adp.Fill(dt)
            GV.DataSource = dt
            GV.DataBind()
            L3.Text = GV.Rows.Count

            adp.SelectCommand.Parameters.Clear()
            dt.Clear()
            adp.SelectCommand.Parameters.AddWithValue("RatingValue", 4)
            adp.SelectCommand.Parameters.AddWithValue("RatingAppID", Request.QueryString("AppID"))
            adp.Fill(dt)
            GV.DataSource = dt
            GV.DataBind()
            L4.Text = GV.Rows.Count

            adp.SelectCommand.Parameters.Clear()
            dt.Clear()
            adp.SelectCommand.Parameters.AddWithValue("RatingValue", 5)
            adp.SelectCommand.Parameters.AddWithValue("RatingAppID", Request.QueryString("AppID"))
            adp.Fill(dt)
            GV.DataSource = dt
            GV.DataBind()
            L5.Text = GV.Rows.Count

            conn.Close()

        Else
            Me.Title = "Error..!"
        End If
    End Sub

 
 
    Protected Sub BDownload_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles BDownload.Click
        UpdateDownload()

        Response.Redirect(Session("DW"))
    End Sub

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        Try

            Dim conn As New SqlConnection()
            conn.ConnectionString = ConfigurationManager.ConnectionStrings("ConnSAhmadAdelMousa").ConnectionString

            Dim sql As String = "update TableApps set IsActive =@IsActive where AppID=@AppID"

            conn.Open()
            Dim cmd As SqlCommand = New SqlCommand(sql, conn)
            cmd.Parameters.AddWithValue("AppID", Request.QueryString("AppID"))

            cmd.Parameters.AddWithValue("IsActive", "False")


            cmd.ExecuteScalar()
            conn.Close()


            Response.Redirect("PendingApplications.aspx")
        Catch ex As Exception
            Button1.Text = "Error>>"

        End Try
    End Sub

    Protected Sub Button2_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button2.Click
        Try

            Dim conn As New SqlConnection()
            conn.ConnectionString = ConfigurationManager.ConnectionStrings("ConnSAhmadAdelMousa").ConnectionString

            Dim sql As String = "update TableApps set IsActive =@IsActive where AppID=@AppID"

            conn.Open()
            Dim cmd As SqlCommand = New SqlCommand(sql, conn)
            cmd.Parameters.AddWithValue("AppID", Request.QueryString("AppID"))

            cmd.Parameters.AddWithValue("IsActive", "True")


            cmd.ExecuteScalar()
            conn.Close()


            Response.Redirect("ListAllApplications.aspx")
        Catch ex As Exception
            Button2.Text = "Error>>"

        End Try
    End Sub

    Protected Sub Button3_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button3.Click
        Try
            Dim conn As New SqlConnection()
            conn.ConnectionString = ConfigurationManager.ConnectionStrings("ConnSAhmadAdelMousa").ConnectionString
            Dim sql As String = "DELETE FROM [TableApps] where AppID=@AppID"
            conn.Open()
            Dim cmd As SqlCommand = New SqlCommand(sql, conn)
            cmd.Parameters.AddWithValue("AppID", Request.QueryString("AppID"))
            cmd.ExecuteScalar()
            conn.Close()

            Response.Redirect("ListAllApplications.aspx")
        Catch ex As Exception
            Button3.Text = "Error.."
            Exit Sub
        End Try
    End Sub
End Class
