﻿<%@ Page Title="Pending Applications" Language="VB" MasterPageFile="~/Admin/MasterPage.master" AutoEventWireup="false" CodeFile="PendingApplications.aspx.vb" Inherits="Admin_PendingApplications" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <style type="text/css">
        .style5
        {
            color: #FF0000;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellpadding="2" class="style1">
        <tr>
            <td align="center">
                <asp:Label ID="Label1" runat="server" Text="  Pending Applications "></asp:Label>
            </td>
        </tr>
        <tr>
            <td align="center">
                <table cellpadding="2">
                    <tr>
                        <td>
                            <asp:HyperLink ID="HyperLink6" runat="server" Font-Underline="False" 
                                ForeColor="Red" NavigateUrl="~/Admin/ListAllApplications.aspx">View All 
                            Applications</asp:HyperLink>
                        </td>
                        <td>
                            |</td>
                        <td>
                            <asp:HyperLink ID="HyperLink7" runat="server" Font-Underline="False" 
                                ForeColor="#CCCCCC">View Pending 
                            Applications</asp:HyperLink>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
                    AutoGenerateColumns="False" BackColor="White" BorderColor="#CC9966" 
                    BorderStyle="None" BorderWidth="1px" CellPadding="4" 
                    DataSourceID="SqlDataSource1" EnableModelValidation="True" Width="100%" 
                    EmptyDataText="There is no pending applications">
                    <Columns>
                        <asp:BoundField DataField="AppName" HeaderText="Application Name" 
                            SortExpression="AppName"></asp:BoundField>
                        <asp:BoundField DataField="CategoryName" HeaderText="Category Name" 
                            SortExpression="CategoryName"></asp:BoundField>
                        <asp:BoundField DataField="AppDatePublished" HeaderText="Date Published" 
                            SortExpression="AppDatePublished"></asp:BoundField>
                        <asp:BoundField DataField="AppDownloads" HeaderText="Downloads" 
                            SortExpression="AppDownloads"></asp:BoundField>
                        <asp:BoundField DataField="AppViews" HeaderText="Views" 
                            SortExpression="AppViews"></asp:BoundField>
                        <asp:CheckBoxField DataField="IsActive" HeaderText="Is Active" 
                            SortExpression="IsActive"></asp:CheckBoxField>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <table cellpadding="0" cellspacing="0" class="style1">
                                    <tr>
                                        <td align="center">
                                            <asp:HyperLink ID="HyperLink5" runat="server" CssClass="style5" 
                                                Font-Strikeout="False" ForeColor="Red" 
                                                NavigateUrl='<%# Eval("AppID", "ApplicationDetails.aspx?AppID={0}") %>'>Edit 
                                            | View</asp:HyperLink>
                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                    <EmptyDataRowStyle Font-Italic="True" HorizontalAlign="Center" />
                    <FooterStyle BackColor="#FFFFCC" ForeColor="#330099" />
                    <HeaderStyle BackColor="#576638" Font-Bold="True" ForeColor="#FFFFCC" />
                    <PagerStyle BackColor="#FFFFCC" ForeColor="#330099" HorizontalAlign="Center" />
                    <RowStyle BackColor="White" ForeColor="#330099" />
                    <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="#663399" />
                </asp:GridView>
                <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:ConnSAhmadAdelMousa %>" 
                    SelectCommand="SELECT TableApps.AppID, TableApps.CategoryID, TableApps.AppName, TableApps.AppDatePublished, TableApps.AppDownloads, TableApps.AppViews, TableApps.IsActive, TableCategories.CategoryID AS Expr1, TableCategories.CategoryName FROM TableApps LEFT OUTER JOIN TableCategories ON TableApps.CategoryID = TableCategories.CategoryID WHERE (TableApps.IsActive = @IsActive) ORDER BY TableApps.AppID DESC">
                 
                 <SelectParameters>
                        <asp:Parameter DefaultValue="False" Name="IsActive" Type="Boolean" />
                    </SelectParameters>

                </asp:SqlDataSource>
            </td>
        </tr>
    </table>
</asp:Content>

