﻿<%@ Page Title="Users List" Language="VB" MasterPageFile="~/Admin/MasterPage.master" AutoEventWireup="false" CodeFile="UserList.aspx.vb" Inherits="Admin_UserList" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellpadding="2" class="style1">
        <tr>
            <td align="center">
                Users List</td>
        </tr>
        <tr>
            <td>
                <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
                    AutoGenerateColumns="False" BackColor="White" BorderColor="#336600" 
                    BorderStyle="None" CellPadding="4" DataKeyNames="UserID" 
                    DataSourceID="SqlDataSource1" EmptyDataText="No users" 
                    EnableModelValidation="True" Width="100%">
                    <AlternatingRowStyle BorderColor="#336600" />
                    <Columns>
                        <asp:TemplateField ShowHeader="False">
                            <ItemTemplate>
                                <asp:LinkButton ID="LinkButton1" runat="server" CausesValidation="False" 
                                    CommandName="Delete" ForeColor="Red" 
                                    onclientclick="return confirm('Do you want to delete?')" Text="Delete"></asp:LinkButton>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="UserID" HeaderText="User ID" InsertVisible="False" 
                            ReadOnly="True" SortExpression="UserID"></asp:BoundField>
                        <asp:BoundField DataField="UserEmail" HeaderText="User Email" 
                            SortExpression="UserEmail"></asp:BoundField>
                        <asp:BoundField DataField="UserPassw" HeaderText="User Password" 
                            SortExpression="UserPassw"></asp:BoundField>
                        <asp:BoundField DataField="UserName" HeaderText="User Name -Nick" 
                            SortExpression="UserName"></asp:BoundField>
                        <asp:TemplateField HeaderText="User Image" SortExpression="UserImage">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("UserImage") %>'></asp:TextBox>
                            </EditItemTemplate>
                            <ItemTemplate>
                                <asp:Image ID="Image1" runat="server" BorderStyle="Dotted" BorderWidth="1px" 
                                    Height="86px" ImageUrl='<%# Eval("UserImage") %>' Width="83px" />
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                    <EmptyDataRowStyle Font-Italic="True" HorizontalAlign="Center" />
                    <FooterStyle BackColor="#99CCCC" ForeColor="#003399" />
                    <HeaderStyle BackColor="#576638" Font-Bold="True" ForeColor="White" />
                    <PagerStyle BackColor="#99CCCC" ForeColor="#003399" HorizontalAlign="Left" />
                    <RowStyle BackColor="White" ForeColor="#336600" />
                    <SelectedRowStyle BackColor="#009999" Font-Bold="True" ForeColor="#003300" />
                </asp:GridView>
                <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:ConnSAhmadAdelMousa %>" 
                    DeleteCommand="DELETE FROM [TableUsers] WHERE [UserID] = @UserID" 
                    InsertCommand="INSERT INTO [TableUsers] ([UserEmail], [UserPassw], [UserName], [UserImage]) VALUES (@UserEmail, @UserPassw, @UserName, @UserImage)" 
                    SelectCommand="SELECT * FROM [TableUsers] ORDER BY [UserID] DESC" 
                    UpdateCommand="UPDATE [TableUsers] SET [UserEmail] = @UserEmail, [UserPassw] = @UserPassw, [UserName] = @UserName, [UserImage] = @UserImage WHERE [UserID] = @UserID">
                    <DeleteParameters>
                        <asp:Parameter Name="UserID" Type="Int32" />
                    </DeleteParameters>
                    <InsertParameters>
                        <asp:Parameter Name="UserEmail" Type="String" />
                        <asp:Parameter Name="UserPassw" Type="String" />
                        <asp:Parameter Name="UserName" Type="String" />
                        <asp:Parameter Name="UserImage" Type="String" />
                    </InsertParameters>
                    <UpdateParameters>
                        <asp:Parameter Name="UserEmail" Type="String" />
                        <asp:Parameter Name="UserPassw" Type="String" />
                        <asp:Parameter Name="UserName" Type="String" />
                        <asp:Parameter Name="UserImage" Type="String" />
                        <asp:Parameter Name="UserID" Type="Int32" />
                    </UpdateParameters>
                </asp:SqlDataSource>
            </td>
        </tr>
    </table>
</asp:Content>

