﻿Imports System.IO
Imports System.Data.SqlClient

Partial Class SubmitApp
    Inherits System.Web.UI.Page




    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Session("UserID") Is Nothing Then
            Response.Redirect("UserLogin.aspx")
        End If
    End Sub



    Protected Sub Button3_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button3.Click


        ' Upload Image Thumbnail
        If FileUploadAppImageThum.HasFile Then
            Dim ImageThumbnail As String = Path.Combine(Server.MapPath("~/ImageThumbnail/"), Date.Now.ToString("yyyyMMddhhmmss") + ".jpg")
            FileUploadAppImageThum.SaveAs(ImageThumbnail)
            Session("FileUploadAppImageThum") = "~/ImageThumbnail/" + Date.Now.ToString("yyyyMMddhhmmss") + ".jpg"
        Else
            Session("FileUploadAppImageThum") = "~/ImagesDesign/NoThumbnailImage.png"
        End If

        ' Upload App
        Dim FileUploadAppDownloadURL As String = Path.Combine(Server.MapPath("~/AppsFolderUpload/"), Date.Now.ToString("yyyyMMddhhmmss") + ".apk")
        FileUploadAppImageThum.SaveAs(FileUploadAppDownloadURL)
        Session("FileUploadAppDownloadURL") = "~/AppsFolderUpload/" + Date.Now.ToString("yyyyMMddhhmmss") + ".apk"


        'Save
        SavApp()

    End Sub


    Public Sub SavApp()
        Try


            Dim conn As New SqlConnection()
            conn.ConnectionString = ConfigurationManager.ConnectionStrings("ConnSAhmadAdelMousa").ConnectionString

            conn.Open()
            Dim sql As String = "INSERT INTO TableApps(UserID, CategoryID, AppName, AppDescription, AppImageThum, AppDatePublished, AppVersion, AppSize, AppLastUpdate, AppPrice, AppDownloadURL, AppPublisherName, AppPublisherAddress, AppPublisherEmail, AppPublisherWebSite) VALUES(@UserID, @CategoryID, @AppName, @AppDescription, @AppImageThum, @AppDatePublished, @AppVersion, @AppSize, @AppLastUpdate, @AppPrice, @AppDownloadURL, @AppPublisherName, @AppPublisherAddress, @AppPublisherEmail, @AppPublisherWebSite) SELECT SCOPE_IDENTITY()"
            Dim cmd As SqlCommand = New SqlCommand(sql, conn)



            cmd.Parameters.AddWithValue("@UserID", Session("UserID"))
            cmd.Parameters.AddWithValue("@CategoryID", TxTCategoryID.SelectedItem.Value)
            cmd.Parameters.AddWithValue("@AppName", TxTAppName.Text.ToString)
            cmd.Parameters.AddWithValue("@AppDescription", TxTAppDescription.Text.ToString)
            cmd.Parameters.AddWithValue("@AppImageThum", Session("FileUploadAppImageThum"))
            cmd.Parameters.AddWithValue("@AppDatePublished", Date.Now.ToString("yyyy-MM-dd"))
            cmd.Parameters.AddWithValue("@AppVersion", TxTAppVersion.Text.ToString)
            cmd.Parameters.AddWithValue("@AppSize", TxTAppSize.Text.ToString)
            cmd.Parameters.AddWithValue("@AppLastUpdate", TxTAppLastUpdate.Text.ToString)
            cmd.Parameters.AddWithValue("@AppPrice", TxTAppPrice.Text.ToString)
            cmd.Parameters.AddWithValue("@AppDownloadURL", Session("FileUploadAppDownloadURL"))
            cmd.Parameters.AddWithValue("@AppPublisherName", TxTAppPublisherName.Text.ToString)
            cmd.Parameters.AddWithValue("@AppPublisherAddress", TxTAppPublisherAddress.Text.ToString)
            cmd.Parameters.AddWithValue("@AppPublisherEmail", TxTAppPublisherEmail.Text.ToString)
            cmd.Parameters.AddWithValue("@AppPublisherWebSite", TxTAppPublisherWebSite.Text.ToString)

            Session("IDApp") = cmd.ExecuteScalar



            ' cmd.ExecuteScalar()
            conn.Close()



            Response.Redirect("SubmitAppUploadImages.aspx")





        Catch ex As Exception
            Lbmsg.Text = "Error ...! " + ex.ToString
            Lbmsg.ForeColor = Drawing.Color.Red

            PanelS1.Visible = True
            PanelS2.Visible = True
            PanelS3.Visible = True
            Button1.Enabled = False
            Button2.Enabled = False

        End Try
    End Sub


    Protected Sub Button2_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button2.Click
        PanelS2.Visible = False
        PanelS3.Visible = True

    End Sub

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        If TxTAppDescription.Text.Length > 400 Then
            Lbmsg.ForeColor = Drawing.Color.Red

            Lbmsg.Text = "Error.. Description is too long, only 400 chars."
            Exit Sub
        End If
        PanelS1.Visible = False
        PanelS2.Visible = True

    End Sub
End Class
