﻿Imports System.Data.SqlClient
Imports System.Data
Imports System.IO

Partial Class UserEditProfile
    Inherits System.Web.UI.Page



    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Session("UserID") Is Nothing Then
            Response.Redirect("UserLogin.aspx")
        End If

        Dim conn As New SqlConnection()
        conn.ConnectionString = ConfigurationManager.ConnectionStrings("ConnSAhmadAdelMousa").ConnectionString

        Dim sql As String = "SELECT * FROM TableUsers WHERE UserID = @UserID"

        conn.Open()
        Dim dt As DataTable = New DataTable()
        Dim adp As Data.SqlClient.SqlDataAdapter = New Data.SqlClient.SqlDataAdapter(sql, conn)
        adp.SelectCommand.Parameters.AddWithValue("UserID", Session("UserID"))
        adp.Fill(dt)
        conn.Close()

        If dt.Rows.Count > 0 Then

            TxTEmail.Text = dt.Rows(0)("UserEmail")
            Session("Pass") = dt.Rows(0)("UserPassw")
            TxTName.Text = dt.Rows(0)("UserName")
            Session("Im") = dt.Rows(0)("UserImage")
            Image1.ImageUrl = dt.Rows(0)("UserImage")

        Else
            Response.Redirect("UserLogin.aspx")
        End If
    End Sub




    Protected Sub UploadThisFile(ByVal upload As FileUpload)
        If upload.HasFile Then
            Dim theFileName As String = Path.Combine(Server.MapPath("~/ImageUserUpload/"), Date.Now.ToString("yyyyMMddhhmmss") + ".jpg")
            upload.SaveAs(theFileName)

            Session("Im") = "~/ImageUserUpload/" + Date.Now.ToString("yyyyMMddhhmmss") + ".jpg"

            Sav()
        Else

            Sav()

        End If
    End Sub

    Protected Sub Sav()
        Try

            Dim conn As New SqlConnection()
            conn.ConnectionString = ConfigurationManager.ConnectionStrings("ConnSAhmadAdelMousa").ConnectionString

            Dim sql As String = "Update TableUsers set UserEmail =@UserEmail , UserPassw =@UserPassw , UserName =@UserName , UserImage =@UserImage where UserID=@UserID"

            conn.Open()
            Dim cmd As SqlCommand = New SqlCommand(sql, conn)
            cmd.Parameters.AddWithValue("UserID", Session("UserID"))

            cmd.Parameters.AddWithValue("UserEmail", TxTEmail.Text)
            cmd.Parameters.AddWithValue("UserPassw", Session("Pass"))
            cmd.Parameters.AddWithValue("UserName", TxTName.Text)
            cmd.Parameters.AddWithValue("UserImage", Session("Im"))


            cmd.ExecuteScalar()
            conn.Close()


            Response.Redirect("MyProfile.aspx")

        Catch ex As Exception
            Lbmsg.ForeColor = Drawing.Color.Red
            Lbmsg.Text = "Error..! Email already in use,, Use another e-mail"

        End Try
    End Sub


    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        If TxTPass1.Text = "" And TxTPass2.Text = "" Then
            UploadThisFile(FileUpload1)

        Else
            If TxTPass1.Text <> TxTPass2.Text Then

                Lbmsg.Text = "Error .. The Password is Not Match"
                Lbmsg.ForeColor = Drawing.Color.Red

            Else
                UploadThisFile(FileUpload1)
            End If

        End If


    End Sub


End Class
