﻿<%@ Page Title="Upload Image" Language="VB" MasterPageFile="~/MasterPage.master" AutoEventWireup="false" CodeFile="SubmitAppUploadImages.aspx.vb" Inherits="SubmitAppUploadImages" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <style type="text/css">
        .style6
        {
            width: 299px;
            height: 53px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellpadding="2" class="style1">
        <tr>
            <td align="center">
                <asp:Label ID="Lbmsg" runat="server" 
                    Text="Optional, You can add the Photos app"></asp:Label>
            </td>
        </tr>
        <tr>
            <td align="left">
                <img alt="" class="style6" src="ImagesDesign/s4.png" /></td>
        </tr>
        <tr>
            <td align="left">
                <table cellpadding="2">
                    <tr>
                        <td align="right" 
                            style="background-image: url('ImagesDesign/BackGroundTD.png'); background-repeat: no-repeat">
                            Select the image</td>
                        <td>
                            <asp:FileUpload ID="FileUpload1" runat="server" />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                                ControlToValidate="FileUpload1" ErrorMessage="*" ValidationGroup="x1"></asp:RequiredFieldValidator>
                        </td>
                        <td>
                            <asp:Button ID="Button1" runat="server" Text="Upload" ValidationGroup="x1" />
                        </td>
                        <td>
                            &nbsp;</td>
                        <td>
                                                        <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" 
                                                            ControlToValidate="FileUpload1" Display="Dynamic" 
                                                            ErrorMessage="Error..Upload Just (jpg, gif, png, jpeg )" 
                                                            ValidationExpression="^.*\.(jpg|JPG|gif|GIF|png|Png|png|Jpeg|jpeg)$" 
                                                            ValidationGroup="x1"></asp:RegularExpressionValidator>
                                                    </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td align="center">
                <asp:FormView ID="FormView1" runat="server" AllowPaging="True" 
                    DataKeyNames="ImageID" DataSourceID="SqlDataSource1" 
                    EmptyDataText="No photos, you can add 5 pictures" EnableModelValidation="True">
                    <EditItemTemplate>
                        ImageID:
                        <asp:Label ID="ImageIDLabel1" runat="server" Text='<%# Eval("ImageID") %>' />
                        <br />
                        AppID:
                        <asp:TextBox ID="AppIDTextBox" runat="server" Text='<%# Bind("AppID") %>' />
                        <br />
                        ImageUrl:
                        <asp:TextBox ID="ImageUrlTextBox" runat="server" 
                            Text='<%# Bind("ImageUrl") %>' />
                        <br />
                        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" 
                            CommandName="Update" Text="Update" />
                        &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" 
                            CausesValidation="False" CommandName="Cancel" Text="Cancel" />
                    </EditItemTemplate>
                    <EmptyDataRowStyle ForeColor="#006600" HorizontalAlign="Center" />
                    <InsertItemTemplate>
                        AppID:
                        <asp:TextBox ID="AppIDTextBox" runat="server" Text='<%# Bind("AppID") %>' />
                        <br />
                        ImageUrl:
                        <asp:TextBox ID="ImageUrlTextBox" runat="server" 
                            Text='<%# Bind("ImageUrl") %>' />
                        <br />
                        <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
                            CommandName="Insert" Text="Insert" />
                        &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" 
                            CausesValidation="False" CommandName="Cancel" Text="Cancel" />
                    </InsertItemTemplate>
                    <ItemTemplate>
                        <table cellpadding="2" class="style1">
                            <tr>
                                <td align="center">
                                    <asp:Image ID="Image1" runat="server" BorderWidth="2px" Height="185px" 
                                        ImageUrl='<%# Eval("ImageUrl") %>' Width="248px" />
                                </td>
                            </tr>
                            <tr>
                                <td align="center">
                                    <asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" 
                                        CommandName="Delete" onclientclick="return confirm('Do you want to delete?')" 
                                        Text="Delete" />
                                </td>
                            </tr>
                        </table>
                    </ItemTemplate>
                    <PagerStyle Font-Bold="True" HorizontalAlign="Center" />
                </asp:FormView>
                <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:ConnSAhmadAdelMousa %>" 
                    DeleteCommand="DELETE FROM [TableImages] WHERE [ImageID] = @ImageID" 
                    InsertCommand="INSERT INTO [TableImages] ([AppID], [ImageUrl]) VALUES (@AppID, @ImageUrl)" 
                    SelectCommand="SELECT * FROM [TableImages] WHERE ([AppID] = @AppID) ORDER BY [ImageID] DESC" 
                    UpdateCommand="UPDATE [TableImages] SET [AppID] = @AppID, [ImageUrl] = @ImageUrl WHERE [ImageID] = @ImageID">
                    <DeleteParameters>
                        <asp:Parameter Name="ImageID" Type="Int32" />
                    </DeleteParameters>
                    <InsertParameters>
                        <asp:Parameter Name="AppID" Type="Int32" />
                        <asp:Parameter Name="ImageUrl" Type="String" />
                    </InsertParameters>
                    <SelectParameters>
                        <asp:SessionParameter Name="AppID" SessionField="IDApp" Type="Int32" />
                    </SelectParameters>
                    <UpdateParameters>
                        <asp:Parameter Name="AppID" Type="Int32" />
                        <asp:Parameter Name="ImageUrl" Type="String" />
                        <asp:Parameter Name="ImageID" Type="Int32" />
                    </UpdateParameters>
                </asp:SqlDataSource>
            </td>
        </tr>
        <tr>
            <td align="center">
                <asp:Button ID="Button2" runat="server" Font-Size="Large" Height="34px" 
                    Text="Finish" Width="198px" />
            </td>
        </tr>
        </table>
</asp:Content>

