﻿Imports System.IO
Imports System.Data.SqlClient

Partial Class SubmitAppUploadImages
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Session("UserID") Is Nothing Then
            Response.Redirect("UserLogin.aspx")
        End If

        If Session("IDApp") Is Nothing Then
            Response.Redirect("SubmitApp.aspx")
        End If

        If FormView1.DataItemCount >= 5 Then
            Button1.Enabled = False
        Else
            Button1.Enabled = True
        End If
    End Sub

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        If FileUpload1.HasFile Then
            Dim ImageApp As String = Path.Combine(Server.MapPath("~/ImageAppUpload/"), Date.Now.ToString("yyyyMMddhhmmss") + ".jpg")
            FileUpload1.SaveAs(ImageApp)
            Session("FileUploadAppImage") = "~/ImageAppUpload/" + Date.Now.ToString("yyyyMMddhhmmss") + ".jpg"

            AddImage()

        End If
    End Sub


    Public Sub AddImage()
        Try


            Dim conn As New SqlConnection()
            conn.ConnectionString = ConfigurationManager.ConnectionStrings("ConnSAhmadAdelMousa").ConnectionString

            conn.Open()
            Dim sql As String = "INSERT INTO TableImages(AppID, ImageUrl) VALUES(@AppID, @ImageUrl) SELECT SCOPE_IDENTITY()"
            Dim cmd As SqlCommand = New SqlCommand(sql, conn)



            cmd.Parameters.AddWithValue("@AppID", Session("IDApp"))
            cmd.Parameters.AddWithValue("@ImageUrl", Session("FileUploadAppImage"))


            cmd.ExecuteScalar()
            conn.Close()


            FormView1.DataBind()


        Catch ex As Exception
            Lbmsg.Text = "Error ...! "
            Lbmsg.ForeColor = Drawing.Color.Red
        End Try


    End Sub

    Protected Sub Button2_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button2.Click
        Session.Remove("IDApp")
        Response.Redirect("SubmitAppThankYou.aspx")
    End Sub
End Class
