﻿Imports System.Data.SqlClient
Imports System.IO

Partial Class UserRegister
    Inherits System.Web.UI.Page



    Protected Sub UploadThisFile(ByVal upload As FileUpload)
        If upload.HasFile Then
            Dim theFileName As String = Path.Combine(Server.MapPath("~/ImageUserUpload/"), Date.Now.ToString("yyyyMMddhhmmss") + ".jpg")
            upload.SaveAs(theFileName)

            Session("ImageUser") = "~/ImageUserUpload/" + Date.Now.ToString("yyyyMMddhhmmss") + ".jpg"

            SignUP()
        Else

            Session("ImageUser") = "~/ImagesDesign/NoUserImage.png"

            SignUP()
        End If
    End Sub

    Private Sub SignUP()
        Try

            Dim conn As New SqlConnection()
            conn.ConnectionString = ConfigurationManager.ConnectionStrings("ConnSAhmadAdelMousa").ConnectionString

            conn.Open()
            Dim sql As String = "INSERT INTO TableUsers (UserEmail, UserPassw, UserName, UserImage) VALUES(@UserEmail, @UserPassw, @UserName, @UserImage) SELECT @@IDENTITY"
            Dim cmd As SqlCommand = New SqlCommand(sql, conn)

            'Dim EncryptedText As String
            'EncryptedText = FormsAuthentication.HashPasswordForStoringInConfigFile(xc.Text, "MD5")

            cmd.Parameters.AddWithValue("@UserEmail", TxTEmail.Text.Trim)
            cmd.Parameters.AddWithValue("@UserPassw", TxTPass1.Text.Trim)
            cmd.Parameters.AddWithValue("@UserName", TxTName.Text.Trim)
            cmd.Parameters.AddWithValue("@UserImage", Session("ImageUser").ToString)
            
            cmd.ExecuteScalar()
            conn.Close()


            Response.Redirect("ThankYouUser.aspx")

        Catch ex As Exception
            Lbmsg.Text = "Error..! Email already in use,, Use another e-mail"
            Lbmsg.ForeColor = Drawing.Color.Red

        End Try

    End Sub
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Session("UserID") Is Nothing Then

            Response.Redirect("Default.aspx")

        End If
    End Sub

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        If TxTPass1.Text <> TxTPass2.Text Then

            Lbmsg.Text = "Error .. The Password is Not Match"
            Lbmsg.ForeColor = Drawing.Color.Red

        Else
            UploadThisFile(FileUpload1)
        End If
    End Sub
End Class
